# Refresh promotion limit for users

Refreshes the promotion limit so a user can use this promotion again. If the user parameter is null, this call refreshes this limit for all users.

User limit API allows you to limit the number of times users can use a promotion. For configuring the user limit itself, go to the Admin section of the desired promotion type:
* Discount Promotions
* Bonus Promotions

Endpoint: DELETE /v2/project/{project_id}/admin/user/limit/promotion/id/{promotion_id}/all
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `promotion_id` (integer, required)
    Promotion ID. Unique promotion identifier within the project.
    Example: 111425

## Request fields (application/json):

  - `user` (object,null, required)

  - `user.user_external_id` (string)
    User external ID.

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)

  - `errorCode` (integer)

  - `errorMessage` (string)

  - `transactionId` (string)

## Response 422 fields (application/json):

  - `statusCode` (integer)

  - `errorCode` (integer)

  - `errorMessage` (string)

  - `errorMessageExtended` (array)

  - `transactionId` (string)


## Response 200 fields
